質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.63%

ラズパイに最新安定版MariaDBをインストールする方法

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 117

SNG

score 1

前提・実現したいこと

ラズベリーパイ(raspbian buster)にMariaDB 10.4をインストールしたいのですがうまくいきません。
ソースコードからビルドする必要がありそうだというところまではわかったのですが、
理解不足で行き詰まっていますのでアドバイス頂きたくお願いします。

発生している問題・エラーメッセージ

次のようなことをしました。

  1. /etc/apt/sources.list.d/mariadb.listを作成
    deb http://ftp.yz.yamagata-u.ac.jp/pub/dbms/mariadb/repo/10.4/debian buster main
    deb-src http://ftp.yz.yamagata-u.ac.jp/pub/dbms/mariadb/repo/10.4/debian buster main

  2. sudo apt update

  3. sudo apt-get build-dep mariadb-10.4

  4. ディレクトリ(/usr/local/src/mariadb)をつくり、apt-get source mariadb-10.4

  5. /usr/local/src/mariadb/mariadb-10.4-10.4.12+maria~buster に移動して、dpkg-buildpackage -uc -b

ここまでやってみましたが、その後かなり長い時間処理にかかり、
最終的に下記のようなエラーが発生していまいます。
dpkg-buildpackage: error: debian/rules build subprocess returned exit status 2

途中では以下のようなエラーも発生しています。
error: ‘my_atomic_add64’ was not declared in this scope

それから、4.でソースパッケージをダウンロードした際に、下記のようなメッセージが出たのですがこれは無視して大丈夫でしょうか?

注意: 'mariadb-10.4' パッケージは以下の場所の 'Git' バージョン制御システムで保守されています:
https://github.com/MariaDB/server.git
パッケージの最新の (まだリリースされていないかもしれない) 更新を取得するには、
git clone https://github.com/MariaDB/server.git
を使用してください。

該当のソースコード

ソースコード

試したこと

ここに問題に対して試したことを記載してください。

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.63%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る